-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlRelation

Declaration :

- C++ : class UmlRelation : public UmlBaseRelation
- Java : class UmlRelation extends UmlBaseRelation

This class manages 'relations' between classes, notes that the class 'UmlClassItem' is a mother class of all the class's children. You can modify it as you want (except the constructor)

Artifact : UmlRelation

Operation UmlRelation

Declaration :

- C++ : public: UmlRelation(void * id, const QCString & n) : UmlBaseRelation(id, n)
- Java : public UmlRelation(long id, String n)

All public operations :

addGetOperation , addSetOperation , apply , children , childrenVisible , cppDecl , cppVirtualInheritance , cppVisibility , create , defaultValue , defined_ , description , getOperation , identifier_ , idlCase , idlDecl , isClassMember , isCppMutable , isIdlTruncatableInheritance , isJavaTransient , isMarked , isReadOnly , isToolRunning , isVolatile , isWritable , javaDecl , kind , kind , markedItems , moveAfter , multiplicity , name , parent , properties , propertyValue , referencedBy , relationKind , roleName , roleType , set_childrenVisible , set_CppDecl , set_CppVirtualInheritance , set_CppVisibility , set_DefaultValue , set_Description , set_IdlCase , set_IdlCase , set_IdlDecl , set_isClassMember , set_isCppMutable , set_isIdlTruncatableInheritance , set_isJavaTransient , set_isMarked , set_isReadOnly , set_isVolatile , set_JavaDecl , set_Multiplicity , set_Name , set_PropertyValue , set_RoleName , set_Stereotype , set_Stereotype , set_Visibility , setOperation , stereotype , supportFile , unload , unload , unload , visibility